#ifndef _MV_H
#define _MV_H

#include "../config.h"
/* Do name replacement for the Fortran names */
#if defined(HAVE_FORTRAN_NOUNDERSCORE)
#define mv_ mv
#define mvsetup_ mvsetup
#define mvextra_ mvextra
#define mvname_  mvname
#define mvflags_ mvflags
#elif defined(HAVE_FORTRAN_CAPS)
#define mvsetup_ MVSETUP
#define mvextra_ MVEXTRA
#define mvname_  MVNAME
#define mvflags_ MVFLAGS
#endif

#ifndef ANSI_ARGS
#ifdef __STDC__
#define ANSI_ARGS(a) a
#else
#define ANSI_ARGS(a) ()
#endif
#endif
void mv_ ( const int * restrict, const int * restrict, const int * restrict, 
           const double * const restrict, 
           const double * const restrict , double * restrict, 
		     const int * restrict );
int mvextra_ ANSI_ARGS(( int *, int *, double *, int * ));

void mvsetup_ ANSI_ARGS(( int *, int *, int *, double *, int * ));

void mvname_ ANSI_ARGS(( char *, int ));

void mvflags_ ANSI_ARGS(( char *, int ));

#ifdef USE_CHECKSUB
#define CHECKSUB(cond1,cond2) \
{if (!(cond1<cond2)) {printf("Condition failed at %s:%d: %d not < %d\n", __FILE__, __LINE__,cond1,cond2 );}}
#else
#define CHECKSUB(cond1,cond2)
#endif

#endif
